Bug 136594 - [new port] [patch] astro/astrometry
Summary: [new port] [patch] astro/astrometry
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-09 03:00 UTC by dereckson
Modified: 2009-07-17 18:20 UTC (History)
0 users

See Also:


Attachments
file.shar (7.60 KB, text/plain)
2009-07-09 03:00 UTC, dereckson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dereckson 2009-07-09 03:00:08 UTC
Describes an astronomical image
WWW: http://www.astrometry.net/

Fix: Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2009-07-09 14:54:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-07-16 03:11:35 UTC
State Changed
From-To: open->feedback

What do you think about installing it into ${PREFIX}/astronometry 
instead of ${PREFIX}/share/astronometry? /share/ seems to be unnecessary 
here.
Comment 3 dereckson 2009-07-17 07:10:20 UTC
I agree, indeed, especially as some files aren't architecture-independant.
Comment 4 Dmitry Marakasov freebsd_committer 2009-07-17 18:13:19 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2009-07-17 18:13:23 UTC
amdmi3      2009-07-17 17:13:13 UTC

  FreeBSD ports repository

  Modified files:
    astro                Makefile 
  Added files:
    astro/astrometry     Makefile distinfo pkg-descr pkg-plist 
    astro/astrometry/files gnu-specific-config.h pkg-message.in 
  Log:
  If you have astronomical imaging of the sky with celestial coordinates you do
  not know or do not trust then is for you. Input an image and we'll give you
  back astrometric calibration meta-data, plus lists of known objects falling
  inside the field of view.Astrometry.net
  
  We have built this astrometric calibration service to create correct,
  standards-compliant astrometric meta-data for every useful astronomical image
  ever taken, past and future, in any state of archival disarray. We hope this
  will help organize, annotate and make searchable all the world's astronomical
  information.
  
  WWW: http://www.astrometry.net/
  
  PR:             136594
  Submitted by:   Dereckson <dereckson@gmail.com>
  
  Revision  Changes    Path
  1.139     +1 -0      ports/astro/Makefile
  1.1       +38 -0     ports/astro/astrometry/Makefile (new)
  1.1       +3 -0      ports/astro/astrometry/distinfo (new)
  1.1       +4 -0      ports/astro/astrometry/files/gnu-specific-config.h (new)
  1.1       +9 -0      ports/astro/astrometry/files/pkg-message.in (new)
  1.1       +12 -0     ports/astro/astrometry/pkg-descr (new)
  1.1       +109 -0    ports/astro/astrometry/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"